Bug 250151 - scsi stack warning messages
scsi stack warning messages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Glauber
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 14:27 EDT by Jason Baron
Modified: 2013-03-06 00:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 14:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2007-07-30 14:27:49 EDT
Description of problem:

the patch for zfcp SCSI, LUNS going offline during cablepull bz #207558 is
causing a myriad of compile warnings:

In file included from drivers/scsi/iscsi_sfnet/iscsi-xmit-pdu.c:27:
include/scsi/scsi_device.h:178: warning: "struct scsi_lun" declared inside
parameter list
include/scsi/scsi_device.h:178: warning: its scope is only this definition or
declaration, which is probably not what you want


Version-Release number of selected component (if applicable):


How reproducible:

compile rhel4 kernel

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

no warnings

Additional info:
Comment 1 Jan Glauber 2009-12-09 14:41:39 EST
closing bugzilla, issue fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.